Skip to main content
`Ctrl`+`K`

# MATMPIDENSEHIP

“mpidensehip” - A matrix type to be used for distributed dense matrices on GPUs.

## Options Database Key

- -mat_type mpidensehip - sets the matrix type to `MATMPIDENSEHIP` during a call to `MatSetFromOptions()`

## See Also

Matrices, `Mat`, `MATDENSEHIP`, `MATMPIDENSE`, `MATSEQDENSE`, `MATSEQDENSEHIP`, `MATSEQDENSECUDA`

## Level

beginner

## Location

src/mat/impls/dense/mpi/cupm/hip/matmpidensehip.hip.cpp

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages